// DisplaySVG: A simplest sketch demonstrating how to load and
// display a vector illustration in an SVG file.

PShape tiger;

void setup()
{
  // I'll just assume I know the SVG illustration is of
  // size 500x500.  You can ask a PShape for its width and
  // height, if it really matters.
  size( 500, 500 );
  
  // I had to cheat a little bit in preparing this SVG file.
  // For whatever reason, Illustrator likes to shift things a
  // bit away from the origin, so the SVG kept getting drawn
  // offset a bit in the window.  I fixed it by editing the
  // SVG file manually, adding a translation to recenter the
  // graphic.  Bleah.
  tiger = loadShape( "tiger.svg" );
}

void draw()
{
  shape( tiger, 0, 0 );
  // Draw once, then stop.
  noLoop();
}
