// TintGrid: Read an image and create a 4x4 array of
// copies of the image, randomly tinted.  Use the space 
// bar to load a new set of random tints.

PImage titania;
int dim = 150; // I'm just going to assume the image is 150x150.

void setup()
{
  size( 4*dim, 4*dim );
  titania = loadImage( "titania150.jpg" );
}

void draw()
{
  for( int row = 0; row < 4; ++row ) {
    for( int col = 0; col < 4; ++col ) {
      tint( random( 255 ), random( 255 ), random( 255 ) );
      image( titania, col * dim, row * dim );
    }
  }
  noLoop(); // Draw once, no need to keep looping.
}

void keyPressed()
{
  // If you press a key, start looping for one more iteration,
  // allowing the colours to change randomly.
  loop();
}
